function bridge.SetMeshField(context, entity, component, field, mesh)
	bridge.setMeshField(context, entity, component, field, mesh.id)
end

function bridge.SetTextureField(context, entity, component, field, texture)
	bridge.setTextureField(context, entity, component, field, texture.id)
end

function bridge.SetModelField(context, entity, component, field, model)
	bridge.setModelField(context, entity, component, field, model.id)
end

function bridge.SetMaterialInstanceField(context, entity, component, field, material)
	bridge.setMaterialInstanceField(context, entity, component, field, material.id)
end

function bridge.SetMaterialInstances(context, entity, component, field, instances)
	for i,value in ipairs(instances) do
		bridge.setMaterialInstanceArrayField(context, entity, component, field, value.id, i - 1)
	end
end
