Object = {}
function Object.newClass(name)
	Type = {}
	Type.__index = Type

	local mt = {}

	mt.__index = function(self, key) 
	  if self._props[key] ~= nil then
		if self._props[key].get then
			return self._props[key].get()
		else
			return self._props[key].value
		end
	  else
		return Type.__classDict[key]
	  end
	end

	mt.__newindex = function(self, key, value)
	  if self._props[key] ~= nil then
		if self._props[key].set then
			self._props[key].set(value)
		else
			self._props[key].value = value
		end
	  else
		rawset(self, key, value)
	  end
	end

	function Type.new()
		local t = {}
		t._props = {}
		setmetatable(t, mt)
		return t
	end

	return Type
end

function Object.defineProperty(o, key, prop)
	o._props[key] = prop
end
