precision mediump float;

varying vec4 vColor;
varying vec2 vTexCoord;

uniform sampler2D texture0;

void main()
{
  vec4 texColor = texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y));

  if (vColor.a == -1.0) {
    gl_FragColor = vec4(texColor.aaa, 1);
  } else {
    gl_FragColor = vColor * texColor;
  }
}
